The post-call summary
GET
/v1/mobile/workspace/calls/{call_id}/summary
const url = 'https://api.vocapable.com/v1/mobile/workspace/calls/example/summary';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/mobile/workspace/calls/example/summary \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”call_id
required
Call Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCallSummary
The post-call summary (E7-R4). status is honest: pending until the worker
has produced it, skipped when the call has no transcript (with the reason).
object
call_id
required
Call Id
string
status
required
Status
string
action_items
required
Action Items
Array<string>
fields
required
Fields
Array<object>
WorkspaceSummaryFieldobject
name
required
Name
string
value
required
Value
string
turn_seqs
required
Turn Seqs
Array<integer>
ai_generated
Ai Generated
boolean
Example
{ "status": "pending", "sentiment": "positive", "ai_generated": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}